### Struct

# Vte Uuid

since: 0.78

#### Description [src]

    struct VteUuid {
      /* No available fields */
    }

An object representing an UUID.

Available since: 0.78

#### Constructors

###### vte_uuid_new_from_string

Creates a new UUID from its string representation `str`.

since: 0.78

###### vte_uuid_new_v4

Creates a new random UUID.

since: 0.78

#### Functions

###### vte_uuid_validate_string

Checks whether `str` is a valid string representation of an UUID.

since: 0.78

#### Instance methods

###### vte_uuid_dup

Creates a copy of `uuid`.

since: 0.78

###### vte_uuid_equal

Compares `uuid` and `other` for equality.

since: 0.78

###### vte_uuid_free

Frees `uuid`.

since: 0.78

###### vte_uuid_free_to_string

Frees `uuid` and returns its string representation, see `vte_uuid_to_string()` for more information.

since: 0.78

###### vte_uuid_new_v5

Creates a new UUID for `ns` and `str`.

since: 0.78

###### vte_uuid_to_string

Returns the string representation of `uuid`.

since: 0.78